class Header extends HTMLElement {
    constructor() {
        super();
        let pageTitle = this.getAttribute("data-title");
        this.innerHTML = `    
            <header >
                <div class="header-wrapper" >
                    <div class="header-homepage">
                        <div class="align-holder" >
                            <h1 onclick="document.getElementById('content').scrollIntoView();">${pageTitle}</h1>
                        </div >
                    </div >
                    <div class="header-separator header-separator-bottom " >
                    <jl-svg data-name="banner"></jl-svg>
                    </div >
                </div >
                <jl-main_menu id = "mainmenu" data-title = "${pageTitle}"></jl-main_menu>
            </header>
        `;
    }
}

customElements.define("jl-header", Header);
